[project]
name = "postorius"
dynamic = ["version"]
description = "A web user interface for GNU Mailman"
keywords = ["email mailman django"]
readme = "README.rst"
maintainers = [
    {name = "The Mailman GSOC Coders"},
]
classifiers = [
    "Development Status :: 4 - Beta",
    "Framework :: Django",
    "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
    "Programming Language :: Python :: 3",
    "Topic :: Communications :: Email :: Mailing List Servers",
]
dependencies = [
    "django-mailman3>=1.3.13",
    "django>=4.2,<5.1",
    "mailmanclient>=3.3.3",
    "readme_renderer[md]",
]
license = {text = "GPLv3"}
requires-python = ">=3.9"

[project.urls]
Homepage = " https://gitlab.com/mailman/postorius"

[project.optional-dependencies]
test = [
    'pytest',
    'beautifulsoup4',
    'isort',
    'django-debug-toolbar',
    'django-requests-debug-toolbar',
]

[build-system]
requires = ["pdm-backend"]
build-backend = "pdm.backend"

[tool.pdm.version]
source = "file"
path = "src/postorius/__init__.py"


[tool.pdm.build]
source-includes = [
  "example_project/",
  "COPYING",
  "*.rst",
  "tox.ini",
  "pytest.ini",
  "requirements-docs.txt",
  ".coveragerc"
]
